package com.ejie.m62fb.dao.registroVPP;

import com.ejie.m62fb.model.tipos.TipoAcceso;
import com.ejie.m62fb.model.tipos.TipoPropietarios;

/**
 * CargaFicherosDao.
 * 
XXXX
 */
public interface CargaFicherosDao {

	/**
	 * 
	 * @param tipoFichero
	 * @param numExpediente
	 * @return
	 */
	String tiposDeExpedienteValidos(int tipoFichero);
	/**
	 * 
	 * @param tipoFichero
	 * @return
	 */
	public String getVersionFichero(int tipoFichero);
	/**
	 * 
	 * @param numExpediente
	 */
	void borrarViviendas(String numExpediente);
	
	TipoPropietarios getNumTipoPropietarios(String nifSolicitante);
    TipoAcceso getNumTipoRegAcceso(String codRegAcceso,String regTenencia);
}